<?php

namespace Drupal\Tests\config_token\Functional;

use Drupal\Tests\BrowserTestBase;
use Drupal\Core\Url;
use Drupal\Core\Link;

/**
 * Tests Config Tokens on content.
 *
 * @group config_token
 *
 * Class ConfigTokenContent
 * @package Drupal\Tests\config_token\Functional
 */
class ConfigTokenContent extends ConfigTokenBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['token', 'node', 'field', 'text', 'config_token', 'token_filter'];

  /**
   * Token replacements with Token filter.
   */
  function testTokenFilter() {
    $this->drupalGet('node/add/page');
    $this->submitForm([
      'title[0][value]' => $this->randomMachineName(),
      'body[0][value]' => '[config_token:example_email]<br />[config_token:example_phone]<br />[config_token:example_link]',
      'body[0][format]' => 'basic_html',
    ], t('Save'));

    $this->assertSession()->responseContains('email@example.com<br />02070000000<br /><a href="http://www.example.com">http://www.example.com</a>');
  }

}
